# Form implementation generated from reading ui file 'src/eric7/HexEdit/HexEditReplaceWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HexEditReplaceWidget(object):
    def setupUi(self, HexEditReplaceWidget):
        HexEditReplaceWidget.setObjectName("HexEditReplaceWidget")
        HexEditReplaceWidget.resize(600, 58)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(HexEditReplaceWidget.sizePolicy().hasHeightForWidth())
        HexEditReplaceWidget.setSizePolicy(sizePolicy)
        self.gridLayout = QtWidgets.QGridLayout(HexEditReplaceWidget)
        self.gridLayout.setContentsMargins(1, 1, 1, 1)
        self.gridLayout.setObjectName("gridLayout")
        self.closeButton = QtWidgets.QToolButton(parent=HexEditReplaceWidget)
        self.closeButton.setText("")
        self.closeButton.setObjectName("closeButton")
        self.gridLayout.addWidget(self.closeButton, 0, 0, 1, 1)
        self.label = QtWidgets.QLabel(parent=HexEditReplaceWidget)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 1, 1, 1)
        self.findFormatCombo = QtWidgets.QComboBox(parent=HexEditReplaceWidget)
        self.findFormatCombo.setObjectName("findFormatCombo")
        self.gridLayout.addWidget(self.findFormatCombo, 0, 2, 1, 1)
        self.findtextCombo = QtWidgets.QComboBox(parent=HexEditReplaceWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.findtextCombo.sizePolicy().hasHeightForWidth())
        self.findtextCombo.setSizePolicy(sizePolicy)
        self.findtextCombo.setMinimumSize(QtCore.QSize(300, 0))
        self.findtextCombo.setEditable(True)
        self.findtextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.findtextCombo.setDuplicatesEnabled(False)
        self.findtextCombo.setObjectName("findtextCombo")
        self.gridLayout.addWidget(self.findtextCombo, 0, 3, 1, 1)
        self.findPrevButton = QtWidgets.QToolButton(parent=HexEditReplaceWidget)
        self.findPrevButton.setObjectName("findPrevButton")
        self.gridLayout.addWidget(self.findPrevButton, 0, 4, 1, 1)
        self.findNextButton = QtWidgets.QToolButton(parent=HexEditReplaceWidget)
        self.findNextButton.setObjectName("findNextButton")
        self.gridLayout.addWidget(self.findNextButton, 0, 5, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HexEditReplaceWidget)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 1, 1, 1)
        self.replaceFormatCombo = QtWidgets.QComboBox(parent=HexEditReplaceWidget)
        self.replaceFormatCombo.setObjectName("replaceFormatCombo")
        self.gridLayout.addWidget(self.replaceFormatCombo, 1, 2, 1, 1)
        self.replacetextCombo = QtWidgets.QComboBox(parent=HexEditReplaceWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.replacetextCombo.sizePolicy().hasHeightForWidth())
        self.replacetextCombo.setSizePolicy(sizePolicy)
        self.replacetextCombo.setMinimumSize(QtCore.QSize(300, 0))
        self.replacetextCombo.setEditable(True)
        self.replacetextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.replacetextCombo.setDuplicatesEnabled(False)
        self.replacetextCombo.setObjectName("replacetextCombo")
        self.gridLayout.addWidget(self.replacetextCombo, 1, 3, 1, 1)
        self.replaceButton = QtWidgets.QToolButton(parent=HexEditReplaceWidget)
        self.replaceButton.setObjectName("replaceButton")
        self.gridLayout.addWidget(self.replaceButton, 1, 4, 1, 1)
        self.replaceSearchButton = QtWidgets.QToolButton(parent=HexEditReplaceWidget)
        self.replaceSearchButton.setObjectName("replaceSearchButton")
        self.gridLayout.addWidget(self.replaceSearchButton, 1, 5, 1, 1)
        self.replaceAllButton = QtWidgets.QToolButton(parent=HexEditReplaceWidget)
        self.replaceAllButton.setObjectName("replaceAllButton")
        self.gridLayout.addWidget(self.replaceAllButton, 1, 6, 1, 1)

        self.retranslateUi(HexEditReplaceWidget)
        QtCore.QMetaObject.connectSlotsByName(HexEditReplaceWidget)
        HexEditReplaceWidget.setTabOrder(self.findFormatCombo, self.findtextCombo)
        HexEditReplaceWidget.setTabOrder(self.findtextCombo, self.replaceFormatCombo)
        HexEditReplaceWidget.setTabOrder(self.replaceFormatCombo, self.replacetextCombo)
        HexEditReplaceWidget.setTabOrder(self.replacetextCombo, self.findPrevButton)
        HexEditReplaceWidget.setTabOrder(self.findPrevButton, self.findNextButton)
        HexEditReplaceWidget.setTabOrder(self.findNextButton, self.replaceButton)
        HexEditReplaceWidget.setTabOrder(self.replaceButton, self.replaceSearchButton)
        HexEditReplaceWidget.setTabOrder(self.replaceSearchButton, self.replaceAllButton)
        HexEditReplaceWidget.setTabOrder(self.replaceAllButton, self.closeButton)

    def retranslateUi(self, HexEditReplaceWidget):
        _translate = QtCore.QCoreApplication.translate
        HexEditReplaceWidget.setWindowTitle(_translate("HexEditReplaceWidget", "Find and Replace"))
        self.closeButton.setToolTip(_translate("HexEditReplaceWidget", "Press to close the window"))
        self.label.setText(_translate("HexEditReplaceWidget", "Find:"))
        self.findFormatCombo.setToolTip(_translate("HexEditReplaceWidget", "Select the data format of the find data field"))
        self.findPrevButton.setToolTip(_translate("HexEditReplaceWidget", "Press to find the previous occurrence"))
        self.findNextButton.setToolTip(_translate("HexEditReplaceWidget", "Press to find the next occurrence"))
        self.label_2.setText(_translate("HexEditReplaceWidget", "Replace:"))
        self.replaceFormatCombo.setToolTip(_translate("HexEditReplaceWidget", "Select the data format of the replace data field"))
        self.replaceButton.setToolTip(_translate("HexEditReplaceWidget", "Press to replace the selection"))
        self.replaceSearchButton.setToolTip(_translate("HexEditReplaceWidget", "Press to replace the selection and search for the next occurence"))
        self.replaceAllButton.setToolTip(_translate("HexEditReplaceWidget", "Press to replace all occurrences"))
